#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlggeneral.ui'
**
** Created: 2013-11-28T07:18:01
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlggeneral.h"

#include <qvariant.h>
#include <kdialog.h>
#include <kiconloader.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "dlggeneral.ui.h"
/*
 *  Constructs a DlgGeneral as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgGeneral::DlgGeneral( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgGeneral" );
    DlgGeneralLayout = new QVBoxLayout( this, 0, 6, "DlgGeneralLayout"); 

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    kcfg_ShowSearchBar = new QCheckBox( groupBox2, "kcfg_ShowSearchBar" );
    kcfg_ShowSearchBar->setEnabled( TRUE );
    layout4->addWidget( kcfg_ShowSearchBar );

    kcfg_SyncThumbnailsViewport = new QCheckBox( groupBox2, "kcfg_SyncThumbnailsViewport" );
    kcfg_SyncThumbnailsViewport->setEnabled( TRUE );
    layout4->addWidget( kcfg_SyncThumbnailsViewport );

    kcfg_ShowScrollBars = new QCheckBox( groupBox2, "kcfg_ShowScrollBars" );
    layout4->addWidget( kcfg_ShowScrollBars );

    kcfg_ShowOSD = new QCheckBox( groupBox2, "kcfg_ShowOSD" );
    layout4->addWidget( kcfg_ShowOSD );

    kcfg_ObeyDRM = new QCheckBox( groupBox2, "kcfg_ObeyDRM" );
    layout4->addWidget( kcfg_ObeyDRM );

    kcfg_WatchFile = new QCheckBox( groupBox2, "kcfg_WatchFile" );
    layout4->addWidget( kcfg_WatchFile );
    groupBox2Layout->addLayout( layout4 );

    layout3_2 = new QVBoxLayout( 0, 0, 6, "layout3_2"); 

    pixmapLabel1_2 = new QLabel( groupBox2, "pixmapLabel1_2" );
    pixmapLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pixmapLabel1_2->sizePolicy().hasHeightForWidth() ) );
    pixmapLabel1_2->setPixmap( DesktopIcon( "kpdf", 32 ) );
    layout3_2->addWidget( pixmapLabel1_2 );
    spacerV1 = new QSpacerItem( 20, 1, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout3_2->addItem( spacerV1 );
    groupBox2Layout->addLayout( layout3_2 );
    DlgGeneralLayout->addWidget( groupBox2 );
    spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DlgGeneralLayout->addItem( spacer3 );
    languageChange();
    resize( QSize(320, 300).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgGeneral::~DlgGeneral()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgGeneral::languageChange()
{
    groupBox2->setTitle( tr2i18n( "Program Look" ) );
    kcfg_ShowSearchBar->setText( tr2i18n( "Show &search bar in thumbnails list" ) );
    kcfg_SyncThumbnailsViewport->setText( tr2i18n( "Link the &thumbnails with the page" ) );
    kcfg_ShowScrollBars->setText( tr2i18n( "Show scroll&bars" ) );
    kcfg_ShowOSD->setText( tr2i18n( "Show &hints and info messages" ) );
    kcfg_ObeyDRM->setText( tr2i18n( "&Obey DRM limitations" ) );
    kcfg_WatchFile->setText( tr2i18n( "&Watch file" ) );
}

/****************************************************************************
** DlgGeneral meta object code from reading C++ file 'dlggeneral.h'
**
** Created: Thu Nov 28 07:18:01 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlggeneral.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgGeneral::className() const
{
    return "DlgGeneral";
}

QMetaObject *DlgGeneral::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgGeneral( "DlgGeneral", &DlgGeneral::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgGeneral::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgGeneral", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgGeneral::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgGeneral", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgGeneral::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgGeneral", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgGeneral.setMetaObject( metaObj );
    return metaObj;
}

void* DlgGeneral::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgGeneral" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgGeneral::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgGeneral::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgGeneral::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgGeneral::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
