#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgpresentation.ui'
**
** Created: 2013-11-28T07:18:01
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgpresentation.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DlgPresentation as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgPresentation::DlgPresentation( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgPresentation" );
    DlgPresentationLayout = new QVBoxLayout( this, 0, 6, "DlgPresentationLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout1 = new QGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    kcfg_SlidesAdvanceTime = new QSpinBox( groupBox1, "kcfg_SlidesAdvanceTime" );
    kcfg_SlidesAdvanceTime->setEnabled( FALSE );
    kcfg_SlidesAdvanceTime->setValue( 5 );

    layout1->addWidget( kcfg_SlidesAdvanceTime, 0, 1 );

    kcfg_SlidesAdvance = new QCheckBox( groupBox1, "kcfg_SlidesAdvance" );

    layout1->addWidget( kcfg_SlidesAdvance, 0, 0 );

    kcfg_SlidesLoop = new QCheckBox( groupBox1, "kcfg_SlidesLoop" );

    layout1->addWidget( kcfg_SlidesLoop, 2, 0 );
    groupBox1Layout->addLayout( layout1 );
    DlgPresentationLayout->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    kcfg_SlidesTransition = new QComboBox( FALSE, groupBox2, "kcfg_SlidesTransition" );

    groupBox2Layout->addWidget( kcfg_SlidesTransition, 1, 1 );

    textLabel1 = new QLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 1, 0 );

    textLabel2 = new QLabel( groupBox2, "textLabel2" );

    groupBox2Layout->addWidget( textLabel2, 2, 0 );

    kcfg_SlidesCursor = new QComboBox( FALSE, groupBox2, "kcfg_SlidesCursor" );

    groupBox2Layout->addWidget( kcfg_SlidesCursor, 2, 1 );

    textLabel3 = new QLabel( groupBox2, "textLabel3" );

    groupBox2Layout->addWidget( textLabel3, 0, 0 );

    kcfg_SlidesBackgroundColor = new KColorButton( groupBox2, "kcfg_SlidesBackgroundColor" );

    groupBox2Layout->addWidget( kcfg_SlidesBackgroundColor, 0, 1 );

    kcfg_SlidesShowSummary = new QCheckBox( groupBox2, "kcfg_SlidesShowSummary" );

    groupBox2Layout->addMultiCellWidget( kcfg_SlidesShowSummary, 4, 4, 0, 1 );

    kcfg_SlidesShowProgress = new QCheckBox( groupBox2, "kcfg_SlidesShowProgress" );

    groupBox2Layout->addMultiCellWidget( kcfg_SlidesShowProgress, 3, 3, 0, 1 );
    DlgPresentationLayout->addWidget( groupBox2 );
    bspace = new QSpacerItem( 20, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DlgPresentationLayout->addItem( bspace );
    languageChange();
    resize( QSize(294, 261).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_SlidesAdvance, SIGNAL( toggled(bool) ), kcfg_SlidesAdvanceTime, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgPresentation::~DlgPresentation()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgPresentation::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Navigation" ) );
    kcfg_SlidesAdvanceTime->setSuffix( tr2i18n( " sec." ) );
    kcfg_SlidesAdvance->setText( tr2i18n( "Advance every:" ) );
    kcfg_SlidesLoop->setText( tr2i18n( "Loop after last page" ) );
    groupBox2->setTitle( tr2i18n( "Appearance" ) );
    kcfg_SlidesTransition->clear();
    kcfg_SlidesTransition->insertItem( tr2i18n( "BlindsQt::Vertical" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "BlindsQt::Horizontal" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Box In" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Box Out" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Dissolve" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Glitter Down" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Glitter Right" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Glitter Right-Down" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Random Transition" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Replace" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "SplitQt::Horizontal In" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "SplitQt::Horizontal Out" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "SplitQt::Vertical In" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "SplitQt::Vertical Out" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Down" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Right" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Left" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Up" ) );
    textLabel1->setText( tr2i18n( "Default transition:" ) );
    textLabel2->setText( tr2i18n( "Mouse cursor:" ) );
    kcfg_SlidesCursor->clear();
    kcfg_SlidesCursor->insertItem( tr2i18n( "Hidden After Delay" ) );
    kcfg_SlidesCursor->insertItem( tr2i18n( "Always Visible" ) );
    kcfg_SlidesCursor->insertItem( tr2i18n( "Always Hidden" ) );
    textLabel3->setText( tr2i18n( "Background color:" ) );
    kcfg_SlidesBackgroundColor->setText( QString::null );
    kcfg_SlidesShowSummary->setText( tr2i18n( "Show s&ummary page" ) );
    kcfg_SlidesShowProgress->setText( tr2i18n( "Show &progress indicator" ) );
}

/****************************************************************************
** DlgPresentation meta object code from reading C++ file 'dlgpresentation.h'
**
** Created: Thu Nov 28 07:18:01 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgpresentation.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgPresentation::className() const
{
    return "DlgPresentation";
}

QMetaObject *DlgPresentation::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgPresentation( "DlgPresentation", &DlgPresentation::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgPresentation::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgPresentation", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgPresentation::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgPresentation", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgPresentation::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgPresentation", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgPresentation.setMetaObject( metaObj );
    return metaObj;
}

void* DlgPresentation::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgPresentation" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgPresentation::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgPresentation::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgPresentation::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgPresentation::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
