#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgperformance.ui'
**
** Created: 2013-11-28T07:18:01
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgperformance.h"

#include <qvariant.h>
#include <kdialog.h>
#include <kiconloader.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "dlgperformance.ui.h"
/*
 *  Constructs a DlgPerformance as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgPerformance::DlgPerformance( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgPerformance" );
    DlgPerformanceLayout = new QVBoxLayout( this, 0, 6, "DlgPerformanceLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, groupBox1->sizePolicy().hasHeightForWidth() ) );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    kcfg_EnableCompositing = new QCheckBox( groupBox1, "kcfg_EnableCompositing" );
    layout9->addWidget( kcfg_EnableCompositing );

    kcfg_EnableThreading = new QCheckBox( groupBox1, "kcfg_EnableThreading" );
    layout9->addWidget( kcfg_EnableThreading );
    groupBox1Layout->addLayout( layout9 );

    layout6_2 = new QVBoxLayout( 0, 0, 6, "layout6_2"); 

    pixmapLabel1_2 = new QLabel( groupBox1, "pixmapLabel1_2" );
    pixmapLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pixmapLabel1_2->sizePolicy().hasHeightForWidth() ) );
    pixmapLabel1_2->setPixmap( DesktopIcon( "kcmprocessor", 32 ) );
    layout6_2->addWidget( pixmapLabel1_2 );
    spacer7_2 = new QSpacerItem( 21, 1, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout6_2->addItem( spacer7_2 );
    groupBox1Layout->addLayout( layout6_2 );
    DlgPerformanceLayout->addWidget( groupBox1 );

    kcfg_MemoryLevel = new QButtonGroup( this, "kcfg_MemoryLevel" );
    kcfg_MemoryLevel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, kcfg_MemoryLevel->sizePolicy().hasHeightForWidth() ) );
    kcfg_MemoryLevel->setColumnLayout(0, Qt::Vertical );
    kcfg_MemoryLevel->layout()->setSpacing( 6 );
    kcfg_MemoryLevel->layout()->setMargin( 11 );
    kcfg_MemoryLevelLayout = new QGridLayout( kcfg_MemoryLevel->layout() );
    kcfg_MemoryLevelLayout->setAlignment( Qt::AlignTop );

    descLabel = new QLabel( kcfg_MemoryLevel, "descLabel" );
    descLabel->setTextFormat( QLabel::PlainText );
    descLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    kcfg_MemoryLevelLayout->addMultiCellWidget( descLabel, 1, 1, 0, 1 );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    lowRadio = new QRadioButton( kcfg_MemoryLevel, "lowRadio" );
    layout5->addWidget( lowRadio );

    normalRadio = new QRadioButton( kcfg_MemoryLevel, "normalRadio" );
    layout5->addWidget( normalRadio );

    aggressiveRadio = new QRadioButton( kcfg_MemoryLevel, "aggressiveRadio" );
    layout5->addWidget( aggressiveRadio );

    kcfg_MemoryLevelLayout->addLayout( layout5, 0, 0 );

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    pixmapLabel1 = new QLabel( kcfg_MemoryLevel, "pixmapLabel1" );
    pixmapLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pixmapLabel1->sizePolicy().hasHeightForWidth() ) );
    pixmapLabel1->setPixmap( DesktopIcon( "kcmmemory", 32 ) );
    layout6->addWidget( pixmapLabel1 );
    spacer7 = new QSpacerItem( 21, 1, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout6->addItem( spacer7 );

    kcfg_MemoryLevelLayout->addLayout( layout6, 0, 1 );
    DlgPerformanceLayout->addWidget( kcfg_MemoryLevel );
    spacer1 = new QSpacerItem( 21, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DlgPerformanceLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(284, 222).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( lowRadio, SIGNAL( toggled(bool) ), this, SLOT( lowRadio_toggled(bool) ) );
    connect( normalRadio, SIGNAL( toggled(bool) ), this, SLOT( normalRadio_toggled(bool) ) );
    connect( aggressiveRadio, SIGNAL( toggled(bool) ), this, SLOT( aggressiveRadio_toggled(bool) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgPerformance::~DlgPerformance()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgPerformance::languageChange()
{
    groupBox1->setTitle( tr2i18n( "CPU Usage" ) );
    kcfg_EnableCompositing->setText( tr2i18n( "Enable &transparency effects" ) );
    kcfg_EnableThreading->setText( tr2i18n( "Enable &background generation" ) );
    kcfg_MemoryLevel->setTitle( tr2i18n( "Memory Usage" ) );
    descLabel->setText( QString::null );
    lowRadio->setText( tr2i18n( "&Low" ) );
    normalRadio->setText( tr2i18n( "&Normal (default)" ) );
    aggressiveRadio->setText( tr2i18n( "&Aggressive" ) );
}

/****************************************************************************
** DlgPerformance meta object code from reading C++ file 'dlgperformance.h'
**
** Created: Thu Nov 28 07:18:01 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgperformance.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgPerformance::className() const
{
    return "DlgPerformance";
}

QMetaObject *DlgPerformance::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgPerformance( "DlgPerformance", &DlgPerformance::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgPerformance::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgPerformance", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgPerformance::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgPerformance", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgPerformance::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "on", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"lowRadio_toggled", 1, param_slot_0 };
    static const QUParameter param_slot_1[] = {
	{ "on", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"normalRadio_toggled", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ "on", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"aggressiveRadio_toggled", 1, param_slot_2 };
    static const QUMethod slot_3 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "lowRadio_toggled(bool)", &slot_0, QMetaData::Public },
	{ "normalRadio_toggled(bool)", &slot_1, QMetaData::Public },
	{ "aggressiveRadio_toggled(bool)", &slot_2, QMetaData::Public },
	{ "languageChange()", &slot_3, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgPerformance", parentObject,
	slot_tbl, 4,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgPerformance.setMetaObject( metaObj );
    return metaObj;
}

void* DlgPerformance::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgPerformance" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgPerformance::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: lowRadio_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: normalRadio_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 2: aggressiveRadio_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 3: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgPerformance::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgPerformance::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgPerformance::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
